/*
 *  genPieces.cpp
 *  cc65 Chess
 *
 *  Created by Oliver Schmidt, January 2020.
 *  Pieces designed by Frank Gebhart, 1980s.
 *  Modified for Atari by S. Wessels, Jul 2020.
 *
 */

#include <stdio.h>

char pieces[]=
"                        "
"  ****   *****   ****   "
"  *  *   *   *   *  *   "
"  *  *   *   *   *  *   "
"  *  *****   *****  *   "
"  *                 *   "
"   *               *    "
"    *             *     "
"     * ********* *      "
"     **         **      "
"      *         *       "
"      *         *       "
"      *         *       "
"      *         *       "
"      *         *       "
"     *           *      "
"    *             *     "
"    * *********** *     "
"   *               *    "
"  *******************   "
"  *******************   "
"                        "
"                        "
"  ****   *****   ****   "
"  ****   *****   ****   "
"  ****   *****   ****   "
"  *******************   "
"  *******************   "
"   *****************    "
"    ***************     "
"     *************      "
"     *           *      "
"      ***********       "
"      ***********       "
"      ***********       "
"      ***********       "
"      ***********       "
"     *************      "
"    ***************     "
"    ***************     "
"   *               *    "
"  *******************   "
"  *******************   "
"                        "
"                        "
"        *   *           "
"       * * * *          "
"      *    *  *         "
"      *        *        "
"     *          *       "
"     *   *    * *       "
"     *        * *       "
"    *         ** *      "
"   *           * *      "
"  *              *      "
"  *    ****      *      "
"   *  *    *   * **     "
"    **    *    ** *     "
"         *      *  *    "
"        *        * *    "
"       *           **   "
"      *             *   "
"     * ************ *   "
"     *              *   "
"     ****************   "
"                        "
"                        "
"        *   *           "
"       * * * *          "
"      ***** ***         "
"      **********        "
"     ************       "
"     **** **** **       "
"     ********* **       "
"    **********  **      "
"   ************ **      "
"  ****************      "
"  ****************      "
"   ****    **** ***     "
"    **    *****  **     "
"         ******* ***    "
"        ********* **    "
"       **************   "
"      ***************   "
"     *              *   "
"     ****************   "
"     ****************   "
"                        "
"                        "
"                        "
"          ***           "
"         *   *          "
"        *     *         "
"       *   *   *        "
"      *    *    *       "
"      * ******* *       "
"     *     *     *      "
"     *     *     *      "
"     *     *     *      "
"      *    *    *       "
"      *         *       "
"       *       *        "
"        *******         "
"        *     *         "
"        *     *         "
"         *****          "
"      *         *       "
"    ***************     "
"   *****************    "
"                        "
"                        "
"                        "
"          ***           "
"         *****          "
"        *******         "
"       **** ****        "
"      ***** *****       "
"      **       **       "
"     ****** ******      "
"     ****** ******      "
"     ****** ******      "
"      ***** *****       "
"      ***********       "
"       *********        "
"        *     *         "
"        *******         "
"        *******         "
"         *****          "
"      ***********       "
"    *             *     "
"   *****************    "
"                        "
"                        "
"                        "
"          ***           "
"         *   *          "
"    ***  *   *  ***     "
"   *   *  * *  *   *    "
"  *    * *   * *    *   "
"  *   * *     * *   *   "
"  *                 *   "
"  *   *    *    *   *   "
"  *   **  ***  **   *   "
"   *   *********   *    "
"   *    *******    *    "
"    *             *     "
"    *             *     "
"    * *********** *     "
"     *           *      "
"     *           *      "
"     *           *      "
"     **         **      "
"      ***********       "
"                        "
"                        "
"                        "
"          ***           "
"         *****          "
"    ***  *****  ***     "
"   *****  ***  *****    "
"  ****** ***** ******   "
"  ***** ******* *****   "
"  *******************   "
"  **** **** **** ****   "
"  ****  **   **  ****   "
"   ****         ****    "
"   *****       *****    "
"    ***************     "
"    ***************     "
"    **           **     "
"     *************      "
"     *************      "
"     *************      "
"     *************      "
"      ***********       "
"                        "
"                        "
"          ***           "
"          * *           "
"        *** ***         "
"        **   **         "
"      **  * *  **       "
"     *  * * * *  *      "
"    *    ** **    *     "
"   *      * *      *    "
"   *  *  *   *  *  *    "
"  *  *    * *    *  *   "
"  *  *     *     *  *   "
"  *   *    *    *   *   "
"   *   *       *   *    "
"   *    *     *    *    "
"    *             *     "
"    *  *********  *     "
"     *           *      "
"     *           *      "
"     **         **      "
"      ***********       "
"                        "
"                        "
"          ***           "
"          * *           "
"        *** ***         "
"        **   **         "
"      **  * *  **       "
"     **** * * ****      "
"    ******* *******     "
"   *******   *******    "
"   *** ** * * ** ***    "
"  *** ****   **** ***   "
"  *** ***** ***** ***   "
"  **** ********* ****   "
"   **** ******* ****    "
"   ***** ***** *****    "
"    ***************     "
"    **           **     "
"     *************      "
"     *************      "
"     *************      "
"      ***********       "
"                        "
"                        "
"                        "
"                        "
"                        "
"                        "
"          ***           "
"         *   *          "
"        *     *         "
"        *     *         "
"        *     *         "
"         *   *          "
"          ***           "
"         *   *          "
"         *   *          "
"        **   **         "
"         *   *          "
"         *   *          "
"        *******         "
"       *       *        "
"      ***********       "
"      ***********       "
"                        "
"                        "
"                        "
"                        "
"                        "
"                        "
"          ***           "
"         *****          "
"        *******         "
"        *******         "
"        *******         "
"         *****          "
"          ***           "
"         *****          "
"         *****          "
"        *******         "
"         *****          "
"         *****          "
"        *******         "
"       *       *        "
"      ***********       "
"      ***********       "
"                        "
;

int main(void)
{
    int i, j, k;
    unsigned char c = 0;

    printf("const char gfxTiles[PAWN][2][66] = \n{\n\t{\n\t\t{\n\t\t\t");
    for(i=0, j=7, k=0; i<sizeof(pieces); ++i)
    {
        c |= (pieces[i] == '*') << j--;
        if (j<0)
        {
            printf("0x%02X, ", c);
            k++;
            if(!(k%3))
                printf("\n\t\t");
            c = 0;
            j = 7;
            if(!(k % 66))
            {
                printf("},\n");
                if(!(k % 132))
                {
                    printf("\t},\n");
                    if(k != 66 * 12)
                        printf("\t{\n");
                }
                if(k != 66 * 12)
                    printf("\t\t{\n\t\t\t");
            }
            else
            {
                printf("\t");
            }
            
        }
    }
    printf("};\n");

    return 0;
}
